<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Usuario_model extends CI_Model
{

	public function validar($login,$clave)
	{
		$this->db->select('u.idUsuario, u.user, u.nombres, u.primerApellido, i.idInstitucion, i.nombreInstitucion, i.logo, u.imagen');
		$this->db->from('usuario u');
		$this->db->join('institucion i','u.idInstitucion=i.idInstitucion');
		$this->db->where('u.user',$login);
		$this->db->where('u.pass',$clave);
		$this->db->where('u.estado',1);
		return $this->db->get();

	}

	public function listarUsuarios()
	{
		$this->db->select('*');
		$this->db->from('usuario u');
		$this->db->where('u.estado','1');
		return $this->db->get();
	}

	public function deleteUsuario($id)
	{	
		$data = array('estado' => 0 );
		$this->db->where('idUsuario',$id);
		$this->db->update('usuario',$data);
	}

	public function insertUsuario($data,$idPermiso)
	{
		$this->db->insert('usuario',$data);

		$ultIdUsuario = $this->db->insert_id();

		$numE=count($idPermiso);

		for ($i=0; $i < $numE; $i++) { 
		 	$data = array(
			'idUsuario' => $ultIdUsuario,
			'idPermiso' => $idPermiso[$i]
			);
			$this->db->insert('usuariopermiso',$data);
		 }

	}

	public function GetUsuario($id)
	{
		$this->db->select('*');
		$this->db->from('usuario u');
		//$this->db->join('usuariopermiso s','u.idUsuario=s.idUsuario');
		$this->db->where('u.idUsuario',$id);
		return $this->db->get()->result();
	}

	public function updateUsuario($idUsuario, $data)
	{
		$this->db->where('idUsuario', $idUsuario);
		return $this->db->update('usuario', $data);
	}
	

	
	
	
}